#!/bin/bash

if [[ $# -ne 4 ]]; then
	echo "You must usage correct <Keyfile> <old-password> <new-password> <retype-new-password>"
	exit -1
fi

if [[ ! -f $1 ]]; then
	echo "SSH KeyFile not available"
	exit -2
fi

if [[ ! "$3" == "$4" ]]; then
	echo "First and Second input for the new passphrase are not the same"
	exit -3
fi
expect << EOF 
set timeout -1
spawn ssh-keygen -p
match_max 100000
expect ": "
send -- "$1\r"
expect "Enter old passphrase: " { send -- "$2\r" ; expect "Bad passphrase" { exit 1; } "Enter new passphrase" {} } "Enter new passphrase" { }
send -- "$3\r"
expect "Enter same passphrase again: "
send -- "$4\r"
expect eof
EOF

exitcode=$?

if [[ $exitcode -eq 1 ]]; then
	echo "The old Passphrase ist not correct"
 	exit -4
fi
